spring:
  lifecycle.timeout-per-shutdown-phase: 40s
  jackson:
    default-property-inclusion: non_null
  boot:
    admin:
      client:
        instance:
          service-base-url: ${pcp.services.tle-monitoring}
          management-base-url: ${pcp.services.tle-monitoring}
  codec:
    max-in-memory-size: 20MB

springdoc:
  swagger-ui:
    enabled: true
    layout: BaseLayout
    path: /swagger/ui
  api-docs:
    enabled: true
    path: /api-docs

logging:
  level:
    root: INFO

tle:
  polling:
    enabled: false
    timeout-seconds: 10800

management:
  endpoints:
    web:
      exposure:
        include: "*"
  endpoint:
    health:
      show-details: always
    info:
      enabled: true

---
spring:
  config:
    activate:
      on-profile: dev
  kafka:
    bootstrap-servers: ${pcp.infra.kafka.host}:${pcp.infra.kafka.port}
    consumer:
      group-id: pcp
      auto-offset-reset: earliest
    template:
      default-topic: pcp.tle
  datasource:
    driver-class-name: org.postgresql.Driver
    url: jdbc:postgresql://${pcp.infra.postgres.host}:${pcp.infra.postgres.port}/pcp_tle
    username: postgres
    password: password
  jpa:
    hibernate:
      ddl-auto: validate
    properties:
      hibernate:
        dialect: org.hibernate.dialect.PostgreSQLDialect
        jdbc:
          lob:
            non_contextual_creation: true
  flyway:
    enabled: true
    baseline-on-migrate: true
    locations: classpath:db/migration

app:
  kafka:
    topics:
      satellites: pcp.satellites

settings:
  complex-mission-service: ${pcp.services.complex-mission-service}
  satellite-catalog-service: ${pcp.services.satellite-catalog}

server:
  port: 8080

---
spring:
  config:
    activate:
      on-profile: local
  kafka:
    bootstrap-servers: ${pcp.infra.kafka.host}:${pcp.infra.kafka.port}
    consumer:
      group-id: pcp
      auto-offset-reset: earliest
    template:
      default-topic: pcp.tle
  datasource:
    driver-class-name: org.postgresql.Driver
    url: jdbc:postgresql://${pcp.infra.postgres.host}:${pcp.infra.postgres.port}/pcp_tle
    username: postgres
    password: password
  jpa:
    hibernate:
      ddl-auto: validate
    properties:
      hibernate:
        dialect: org.hibernate.dialect.PostgreSQLDialect
        jdbc:
          lob:
            non_contextual_creation: true
  flyway:
    enabled: true
    baseline-on-migrate: true
    locations: classpath:db/migration

app:
  kafka:
    topics:
      satellites: pcp.satellites

settings:
  complex-mission-service: ${pcp.services.complex-mission-service}
  satellite-catalog-service: ${pcp.services.satellite-catalog}

server:
  port: ${pcp.ports.tle-monitoring:7001}
